Summary: A large set of basic network services programs
Name: NetKit-B
Version: 0.09
Release: 1
Copyright: distributable
Group: Networking
Source: ftp://sunsite.unc.edu/pub/Linux/system/Network/NetKit-0.09.tar.gz
Source1: inet.init
Source2: NetKit-B-0.06-telnet.tar.gz
Patch0: NetKit-0.09-config.patch
Patch1: NetKit-0.09-pam.patch
Patch2: NetKit-0.09-rexecpath.patch
Patch3: NetKit-0.09-glibc.patch
Patch4: tftp-security.patch
Requires: pamconfig, pam >= 0.54
Requires: tcp_wrappers

%description
NetKit-B provides the clients and servers for many standard Unix
network services.  Network logins, ftp, and talk (among others)
are provided here.

%prep
%setup -n NetKit-0.09

%patch0 -p1 -b .norhconfig
%patch1 -p1 -b .origpam
%patch2 -p1 -b .defpath

%ifarch alpha
%patch3 -p1 -b .noglibc
%endif

cd tftpd
%patch4 -p1 -b .security
cd ..

rm -rf telnet
gunzip < $RPM_SOURCE_DIR/NetKit-B-0.06-telnet.tar.gz | tar xvvf -

%ifarch alpha
cd rpc.rusersd
sed "s/ut_time/rut_time/" < /usr/include/rpcsvc/rusers.x > rusers.x
cd ../rusers
sed "s/ut_time/rut_time/" < /usr/include/rpcsvc/rusers.x > rusers.x
cd ..
%endif

%build
%ifarch alpha
(cd rpcgen; make USE_GLIBC=1)
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" USE_GLIBC=1
%else
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%endif

%install
make install
mkdir -p /var/spool/rwho
install -m755 $RPM_SOURCE_DIR/inet.init /etc/rc.d/init.d/inet
ln -sf ../init.d/inet /etc/rc.d/rc0.d/K50inet
ln -sf ../init.d/inet /etc/rc.d/rc1.d/K50inet
ln -sf ../init.d/inet /etc/rc.d/rc2.d/S50inet
ln -sf ../init.d/inet /etc/rc.d/rc3.d/S50inet
ln -sf ../init.d/inet /etc/rc.d/rc5.d/S50inet
ln -sf ../init.d/inet /etc/rc.d/rc6.d/K50inet

# "paranoia strikes deep"
#
# These programs aren't SUID and making then 744 instead of 755 doesn't
# add *any* security to a system
chmod 755 /usr/bin/rpcinfo

for n in in.comsat in.fingerd in.ntalkd in.rexecd in.rlogind in.rshd in.talkd \
	 in.telnetd in.tftpd inetd rpc.rusersd rpc.rwalld rwhod \
	 rpc.bootparamd routed; do
	chmod 755 /usr/sbin/$n
done

# This is installed mode 4744, which is just dumb. If root is the only one
# with exec permission, it doesn't need to be suid root. If it's not suid
# root, anyone can have exec permissions if they already have read permission
#
# We don't use this anymore
chmod 755 /usr/sbin/timedc

%post
/sbin/pamconfig --add --service=rexec --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_unix_auth.so "" required /lib/security/pam_nologin.so ""' --password=none --sesslist=none
/sbin/pamconfig --add --service=rlogin --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_nologin.so "" sufficient /lib/security/pam_rhosts_auth.so "" required /lib/security/pam_unix_auth.so ""'
/sbin/pamconfig --add --service=rsh --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_rhosts_auth.so "" required /lib/security/pam_nologin.so ""' --password=none

%postun
if [ "$1" = 0 ] ; then
  /sbin/pamconfig --remove --service=rexec --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_unix_auth.so "" required /lib/security/pam_nologin.so ""' --password=none --sesslist=none
/sbin/pamconfig --remove --service=rlogin --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_nologin.so "" sufficient /lib/security/pam_rhosts_auth.so "" required /lib/security/pam_unix_auth.so ""'
  /sbin/pamconfig --remove --service=rsh --authlist='required /lib/security/pam_securetty.so "" required /lib/security/pam_rhosts_auth.so "" required /lib/security/pam_nologin.so ""' --password=none
fi

%files
%dir /var/spool/rwho
/usr/bin/biff
/usr/man/man1/biff.1
/usr/sbin/in.comsat
/usr/man/man8/in.comsat.8
/usr/bin/finger
/usr/man/man1/finger.1
/usr/sbin/in.fingerd
/usr/man/man8/in.fingerd.8
/usr/bin/ftp
/usr/bin/pftp
/usr/man/man1/ftp.1

/usr/sbin/inetd
/usr/man/man8/inetd.8
%config /etc/rc.d/init.d/inet
%config /etc/rc.d/rc0.d/K50inet
%config /etc/rc.d/rc1.d/K50inet
%config /etc/rc.d/rc2.d/S50inet
%config /etc/rc.d/rc3.d/S50inet
%config /etc/rc.d/rc5.d/S50inet
%config /etc/rc.d/rc6.d/K50inet

/bin/ping
/usr/man/man8/ping.8

/usr/bin/rcp
/usr/man/man1/rcp.1
/usr/sbin/in.rexecd
/usr/man/man8/in.rexecd.8
/usr/bin/rlogin
/usr/man/man1/rlogin.1
/usr/sbin/in.rlogind
/usr/man/man8/in.rlogind.8
/usr/sbin/rpc.rusersd
/usr/man/man8/rpc.rusersd.8
/usr/sbin/rpc.rwalld
/usr/man/man8/rpc.rwalld.8
/usr/bin/rpcinfo
/usr/man/man8/rpcinfo.8
/usr/bin/rsh
/usr/man/man1/rsh.1
/usr/sbin/in.rshd
/usr/man/man8/in.rshd.8
/usr/bin/rusers
/usr/man/man1/rusers.1
/usr/bin/rwall
/usr/man/man1/rwall.1
/usr/bin/rwho
/usr/man/man1/rwho.1
/usr/sbin/rwhod
/usr/man/man8/rwhod.8
/usr/bin/talk
/usr/man/man1/talk.1
/usr/sbin/in.talkd
/usr/sbin/in.ntalkd
/usr/man/man8/in.talkd.8
/usr/man/man8/in.ntalkd.8
/usr/bin/telnet
/usr/man/man1/telnet.1
/usr/sbin/in.telnetd
/usr/man/man5/issue.net.5
/usr/man/man8/in.telnetd.8
/usr/bin/tftp
/usr/man/man1/tftp.1
/usr/sbin/in.tftpd
/usr/man/man8/in.tftpd.8
/usr/sbin/routed
/usr/man/man8/routed.8
/usr/sbin/rpc.bootparamd
/usr/man/man8/bootparamd.8
/usr/man/man8/timed.8
/usr/man/man8/timedc.8
/usr/sbin/timed
/usr/sbin/timedc
/usr/bin/callbootd
/usr/man/man8/rpc.bootparamd.8

%ifnarch alpha
# we get this from glibc on Alpha's
/usr/bin/rpcgen
/usr/man/man1/rpcgen.1
%endif
